diff --git a/templates/downloads/js/yum.js b/templates/downloads/js/yum.js
index ddcff2fd..7fcdf467 100644
--- a/templates/downloads/js/yum.js
+++ b/templates/downloads/js/yum.js
@@ -7,10 +7,7 @@ function sortNumeric(a,b) {
 
 function get_platform_name(plat, ver) {
     if (plat == 'EL') {
-        if (parseFloat(ver) <= 7)
-	    return "Red Hat Enterprise, CentOS, Scientific or Oracle";
-        else
-	    return "Red Hat Enterprise, Rocky, AlmaLinux or Oracle";
+	    return "Red Hat Enterprise, Rocky, or AlmaLinux";
     }
     else if (plat == 'F')
 	return "Fedora";
@@ -28,12 +25,8 @@ function get_rpm_prefix(plat) {
 function get_installer(plat) {
     if (plat.startsWith('F-'))
 	return 'dnf';
-    else if (plat.startsWith('EL-')) {
-	var a = plat.split('-');
-	if (a[1] >= 8)
-	    return 'dnf';
-    }
-    return 'yum';
+    else if (plat.startsWith('EL-'))
+        return 'dnf';
 }
 
 function disable_module_on(plat) {
@@ -46,11 +39,7 @@ function disable_module_on(plat) {
 }
 
 function uses_systemd(plat) {
-    if (plat.startsWith('EL-')) {
-	var a = plat.split('-');
-	if (a[1] < 7)
-	    return false;
-    }
+    if (plat.startsWith('EL-'))
     return true;
 }
 
